# H4504_Extension Class Reference

`#include <h4504.h>`

Inheritance diagram for H4504_Extension:

List of all members.

## Public Member Functions

| H4504_Extension (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_ObjectId | m_extensionId
PASN_OctetString | m_argument

## Constructor & Destructor Documentation

H4504_Extension::H4504_Extension | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4504_Extension::GetDataLength | ( |  | ) | const

PBoolean H4504_Extension::Decode | ( | PASN_Stream & | strm | ) |

void H4504_Extension::Encode | ( | PASN_Stream & | strm | ) | const

void H4504_Extension::PrintOn | ( | ostream & | strm | ) | const

Comparison H4504_Extension::Compare | ( | const PObject & | obj | ) | const

PObject* H4504_Extension::Clone | ( |  | ) | const

## Member Data Documentation

PASN_ObjectId H4504_Extension::m_extensionId

PASN_OctetString H4504_Extension::m_argument

The documentation for this class was generated from the following file:

- h4504.h